v2.0.0
Public Member Functions | Data Fields
usb_hw_t Struct Reference

## Public Member Functions
| _REG_ (USB_ADDR_ENDP_OFFSET) io_rw_32 dev_addr_ctrl
| _REG_ (USB_ADDR_ENDP1_OFFSET) io_rw_32 int_ep_addr_ctrl[15]
| _REG_ (USB_MAIN_CTRL_OFFSET) io_rw_32 main_ctrl
| _REG_ (USB_SOF_WR_OFFSET) io_wo_32 sof_wr
| _REG_ (USB_SOF_RD_OFFSET) io_ro_32 sof_rd
| _REG_ (USB_SIE_CTRL_OFFSET) io_rw_32 sie_ctrl
| _REG_ (USB_SIE_STATUS_OFFSET) io_rw_32 sie_status
| _REG_ (USB_INT_EP_CTRL_OFFSET) io_rw_32 int_ep_ctrl
| _REG_ (USB_BUFF_STATUS_OFFSET) io_rw_32 buf_status
| _REG_ (USB_BUFF_CPU_SHOULD_HANDLE_OFFSET) io_ro_32 buf_cpu_should_handle
| _REG_ (USB_EP_ABORT_OFFSET) io_rw_32 abort
| _REG_ (USB_EP_ABORT_DONE_OFFSET) io_rw_32 abort_done
| _REG_ (USB_EP_STALL_ARM_OFFSET) io_rw_32 ep_stall_arm
| _REG_ (USB_NAK_POLL_OFFSET) io_rw_32 nak_poll
| _REG_ (USB_EP_STATUS_STALL_NAK_OFFSET) io_rw_32 ep_nak_stall_status
| _REG_ (USB_USB_MUXING_OFFSET) io_rw_32 muxing
| _REG_ (USB_USB_PWR_OFFSET) io_rw_32 pwr
| _REG_ (USB_USBPHY_DIRECT_OFFSET) io_rw_32 phy_direct
| _REG_ (USB_USBPHY_DIRECT_OVERRIDE_OFFSET) io_rw_32 phy_direct_override
| _REG_ (USB_USBPHY_TRIM_OFFSET) io_rw_32 phy_trim
| _REG_ (USB_INTR_OFFSET) io_ro_32 intr
| _REG_ (USB_INTE_OFFSET) io_rw_32 inte
| _REG_ (USB_INTF_OFFSET) io_rw_32 intf
| _REG_ (USB_INTS_OFFSET) io_ro_32 ints
| _REG_ (USB_ADDR_ENDP_OFFSET) io_rw_32 dev_addr_ctrl
| _REG_ (USB_ADDR_ENDP1_OFFSET) io_rw_32 int_ep_addr_ctrl[15]
| _REG_ (USB_MAIN_CTRL_OFFSET) io_rw_32 main_ctrl
| _REG_ (USB_SOF_WR_OFFSET) io_wo_32 sof_wr
| _REG_ (USB_SOF_RD_OFFSET) io_ro_32 sof_rd
| _REG_ (USB_SIE_CTRL_OFFSET) io_rw_32 sie_ctrl
| _REG_ (USB_SIE_STATUS_OFFSET) io_rw_32 sie_status
| _REG_ (USB_INT_EP_CTRL_OFFSET) io_rw_32 int_ep_ctrl
| _REG_ (USB_BUFF_STATUS_OFFSET) io_rw_32 buf_status
| _REG_ (USB_BUFF_CPU_SHOULD_HANDLE_OFFSET) io_ro_32 buf_cpu_should_handle
| _REG_ (USB_EP_ABORT_OFFSET) io_rw_32 abort
| _REG_ (USB_EP_ABORT_DONE_OFFSET) io_rw_32 abort_done
| _REG_ (USB_EP_STALL_ARM_OFFSET) io_rw_32 ep_stall_arm
| _REG_ (USB_NAK_POLL_OFFSET) io_rw_32 nak_poll
| _REG_ (USB_EP_STATUS_STALL_NAK_OFFSET) io_rw_32 ep_nak_stall_status
| _REG_ (USB_USB_MUXING_OFFSET) io_rw_32 muxing
| _REG_ (USB_USB_PWR_OFFSET) io_rw_32 pwr
| _REG_ (USB_USBPHY_DIRECT_OFFSET) io_rw_32 phy_direct
| _REG_ (USB_USBPHY_DIRECT_OVERRIDE_OFFSET) io_rw_32 phy_direct_override
| _REG_ (USB_USBPHY_TRIM_OFFSET) io_rw_32 phy_trim
| _REG_ (USB_LINESTATE_TUNING_OFFSET) io_rw_32 linestate_tuning
| _REG_ (USB_INTR_OFFSET) io_ro_32 intr
| _REG_ (USB_INTE_OFFSET) io_rw_32 inte
| _REG_ (USB_INTF_OFFSET) io_rw_32 intf
| _REG_ (USB_INTS_OFFSET) io_ro_32 ints
| _REG_ (USB_SOF_TIMESTAMP_RAW_OFFSET) io_ro_32 sof_timestamp_raw
| _REG_ (USB_SOF_TIMESTAMP_LAST_OFFSET) io_ro_32 sof_timestamp_last
| _REG_ (USB_SM_STATE_OFFSET) io_ro_32 sm_state
| _REG_ (USB_EP_TX_ERROR_OFFSET) io_rw_32 ep_tx_error
| _REG_ (USB_EP_RX_ERROR_OFFSET) io_rw_32 ep_rx_error
| _REG_ (USB_DEV_SM_WATCHDOG_OFFSET) io_rw_32 dev_sm_watchdog

## Data Fields
uint32_t | _pad0

The documentation for this struct was generated from the following files:

- include/hardware/structs/usb.h
- include/hardware/structs/usb.h